Bug 497590 - can't send files to my bluetooth mobile
can't send files to my bluetooth mobile
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 17:24 EDT by Muayyad Alsadi
Modified: 2009-12-18 04:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:19:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Muayyad Alsadi 2009-04-24 17:24:07 EDT
Description of problem:
I can't send file to my bluetooth mobile with nautilus
I can't connect with wammu
and some bluez commands fail

Version-Release number of selected component (if applicable):
nautilus-sendto-1.1.2-1.fc10.i386
bluez-4.30-2.fc10.i386
gvfs-obexftp.i386                    1.0.3-7.fc10
obex-data-server.i386                1:0.4.3-1.fc10
openobex.i386                        1.4-1.fc10

How reproducible:
always

Additional info:

[alsadi@pc1 ~]$ hcitool dev
Devices:
	hci0	AA:BB:CC:AA:BB:CC
[alsadi@pc1 ~]$ hcitool inq
Inquiring ...
	XX:YY:ZZ:XX:YY:ZZ	clock offset: 0x37df	class: 0x500204
[alsadi@pc1 ~]$ hcitool scan
Scanning ...
	XX:YY:ZZ:XX:YY:ZZ	MyRemoteMobile
[alsadi@pc1 ~]$ hcitool name XX:YY:ZZ:XX:YY:ZZ
MyRemoteMobile
[alsadi@pc1 ~]$ hcitool info XX:YY:ZZ:XX:YY:ZZ
Requesting information ...
	BD Address:  XX:YY:ZZ:XX:YY:ZZ
	OUI Company: Murata Manufacturing Co., Ltd. (00-0E-6D)
	Device Name: MyRemoteMobile
	Features: 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00
		
[alsadi@pc1 ~]$ hcitool lq XX:YY:ZZ:XX:YY:ZZ
HCI read_link_quality request failed: Input/output error
[alsadi@pc1 ~]$ hcitool tpl XX:YY:ZZ:XX:YY:ZZ
HCI read transmit power level request failed: Input/output error
[alsadi@pc1 ~]$ hcitool info XX:YY:ZZ:XX:YY:ZZ
Requesting information ...
	BD Address:  XX:YY:ZZ:XX:YY:ZZ
	OUI Company: Murata Manufacturing Co., Ltd. (00-0E-6D)
	Device Name: MyRemoteMobile
	Features: 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00
		
[alsadi@pc1 ~]$ hcitool auth XX:YY:ZZ:XX:YY:ZZ
HCI authentication request failed: Operation not permitted
[alsadi@pc1 ~]$ l2ping XX:YY:ZZ:XX:YY:ZZ
Can't create socket: Operation not permitted
[alsadi@pc1 ~]$ sdptool browse XX:YY:ZZ:XX:YY:ZZ
Failed to connect to SDP server on XX:YY:ZZ:XX:YY:ZZ: Connection timed out
Comment 1 Bastien Nocera 2009-04-28 06:00:52 EDT
Looks like a very broken Bluetooth dongle.

Does it work when connecting another Bluetooth device (eg. not your phone)?

What's the output of "hciconfig -a" on your system?

What kernel are you using?
Comment 2 Muayyad Alsadi 2009-04-29 14:22:00 EDT
> Looks like a very broken Bluetooth dongle.

it works on other OSes including F9
and my brother used this very dongle today (on windows)

the XX:YY:ZZ and AA:BB:CC above were just placeholders
ok, I'll keep the original numbers below

> What's the output of "hciconfig -a" on your system?

hciconfig -a
hci0:	Type: USB
	BD Address: 00:11:67:20:48:E8 ACL MTU: 678:8 SCO MTU: 48:10
	UP RUNNING PSCAN ISCAN 
	RX bytes:1131 acl:0 sco:0 events:48 errors:0
	TX bytes:455 acl:0 sco:0 commands:48 errors:0
	Features: 0xbf 0xfe 0x8d 0x78 0x08 0x18 0x00 0x00
	Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
	Link policy: RSWITCH HOLD SNIFF PARK 
	Link mode: SLAVE ACCEPT 
	Name: 'pc1-0'
	Class: 0x4a2104
	Service Classes: Networking, Capturing, Telephony
	Device Class: Computer, Desktop workstation
	HCI Ver: 1.2 (0x2) HCI Rev: 0x1fe LMP Ver: 1.2 (0x2) LMP Subver: 0x1fe
	Manufacturer: Integrated System Solution Corp. (57)

> What kernel are you using?

[alsadi@pc1 ~]$ uname -r
2.6.27.21-170.2.56.fc10.i686
Comment 3 Bastien Nocera 2009-05-07 21:17:46 EDT
(In reply to comment #2)
> > Looks like a very broken Bluetooth dongle.
> 
> it works on other OSes including F9
> and my brother used this very dongle today (on windows)
> 
> the XX:YY:ZZ and AA:BB:CC above were just placeholders
> ok, I'll keep the original numbers below

That's what I was calling broken:

[alsadi@pc1 ~]$ sdptool browse XX:YY:ZZ:XX:YY:ZZ
Failed to connect to SDP server on XX:YY:ZZ:XX:YY:ZZ: Connection timed out  

You didn't answer my second question:
> Does it work when connecting another Bluetooth device (eg. not your phone)?

And obviously, this needs to be "does it work on the same F10 machine you're having problems with".

What device is the phone you're trying to connect to?
Comment 4 Muayyad Alsadi 2009-06-06 17:41:15 EDT
things works fine in F11 RC2

same bluetooth dongle and same mobiles

thanks
Comment 5 Bug Zapper 2009-11-18 06:51:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 04:19:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.